summaryrefslogtreecommitdiff
path: root/bin/updatebuildmain
diff options
context:
space:
mode:
Diffstat (limited to 'bin/updatebuildmain')
-rwxr-xr-xbin/updatebuildmain34
1 files changed, 34 insertions, 0 deletions
diff --git a/bin/updatebuildmain b/bin/updatebuildmain
new file mode 100755
index 0000000..f4f4917
--- /dev/null
+++ b/bin/updatebuildmain
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# Copyright (C) 2010-2011 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+#
+# This is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the
+# Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
+
+set -e
+
+GITPROJECT=$(basename $(pwd))
+REF=$1
+
+# we need to be within a working copy (base folder) and we need a <REF>!!!
+test -z $1 || test -d ./.git || {
+ echo "usage: $(basename $0) <REF>"
+ echo "Call this command from within the base folder of a Git project's working copy..."
+ exit -1
+}
+
+# update the build-main branch with our newest blessed reference
+git branch build-main &>/dev/null || true
+git push origin $REF:build-main